/*!
 * Start Bootstrap - SB Admin 2 v4.0.3 (https://startbootstrap.com/template-overviews/sb-admin-2)
 * Copyright 2013-2020 Start Bootstrap
 * Licensed under MIT (https://github.com/BlackrockDigital/gaokao_qhd/blob/master/LICENSE)
 */

"use strict";

// Call the dataTables jQuery plugin
(function () {
  function showToast(msg) {
    $('.toast .toast-body').text(msg);
    $('.toast').toast('show');
  }

  function loadSmsCode() {
    var phone = $('#inputPhone').val();
    var picCode = $('#inputPicCode').val();

    if (!phone || !picCode) {
      showToast('手机号或验证码不能为空!');
      return;
    }

    var countDown = 60;
    $("#buttonVerifyCode").prop('disabled', true);
    $("#buttonVerifyCode").addClass("btn-dark").removeClass("btn-warning");
    var cdInt = setInterval(function () {
      $("#buttonVerifyCode").text("\u91CD\u65B0\u83B7\u53D6(" + countDown-- + "s)");

      if (countDown < 0) {
        clearInterval(cdInt);
        $("#buttonVerifyCode").addClass("btn-warning").removeClass("btn-dark").text("获取短信验证码").prop('disabled', false);
      }
    }, 1000);
    $.getJSON('login/sms-code', {
      phone: phone,
      picCode: picCode
    }, function (data) {
      if (data && data.success) {// do nothing
      } else {
        showToast(data.msg);
      }

      return data;
    });
  }

  $(document).ready(function () {
    $("#buttonVerifyCode").click(function (e) {
      e.preventDefault();
      loadSmsCode();
    });
    $('.toast').toast({
      autohide: false,
      delay: 2000
    });
    $("#loginBtn").click(function (e) {
      console.log('click login');
      e.preventDefault();
      var phone = $('#inputPhone').val();
      var smsCode = $('#inputSmsCode').val();

      if (!phone || !smsCode) {
        showToast('手机号或短信验证码不能为空!');
        return;
      }

      $("#loginBtn").prop('disabled', true);
      return $.post('login', {
        phone: phone,
        smsCode: smsCode
      }, function (data) {
        if (data && data.success) {
          window.location.href = '/view/line-school';
        } else {
          showToast(data.msg);
          $("#loginBtn").prop('disabled', false);
        }
      });
    });
    $("#captchaImg").click(function (e) {
      $("#captchaImg").attr("src", "login/pic-code?ts=" + Date.now());
    });
  });
})();