$(function(){
  let phoneChange=false;
  fillSelect("/api/cliusers/findCounties?id=",130000,"#cityInput","select[name='city']");
  initSelect();
  jQuery.validator.addMethod("telephone", function(value, element, messages) {
    return this.optional(element) || /^(0|86|17951)?(13[0-9]|15[012356789]|17[678]|18[0-9]|14[57])[0-9]{8}$/.test(value);
  }, "请输入正确手机号码");
  $("#infoForm").validate({
    rules: {
      name: "required",
      phone: {
        required: true,
        telephone: true
      }
    },
    messages: {
      name: "请输入姓名",
      phone: {
        required: "请输入手机号",
        telephone: "手机号不正确"
      }
     }
   });
  $("select[name='city']").change(function(){
    let $this=$(this);
    fillSelect("/api/cliusers/findCounties?id=",$this.val(),"#countyInput","select[name='county']","name");
    setTimeout(function(){ $("select[name='county']").change();}, 500);
  });
  $("select[name='county']").change(function(){
    let county=$(this).val();
    fillSelect("/api/cliusers/findHighSchools?area=",county,"#schoolInput","select[name='schoolName']","schoolName","schoolName");
  })
  $("#buttonVerifyCode").click(function (e) {
    e.preventDefault();
    loadSmsCode();
  });
  $("#inputPhone").change(function(){
    $("#captchaImg").click();
    $("#smsLi,#picCodeLi").show();
    phoneChange=true;
  });
  $('.toast').toast({
    autohide: false,
    delay: 2000
  });
  $("#captchaImg").click(function (e) {
    $("#captchaImg").attr("src", "/login/large-pic-code?ts=" + Date.now());
  });
  $("#submitBtn").click(function(){
      var v=$("#infoForm").validate();
      if(!v.form()){
        return;
      }
      var user={};
      user.id=$("input[name='id']").val();
      user.name=$("input[name='name']").val();
      user.phone=$("input[name='phone']").val();
      user.sex=$("select[name='sex']").val();
      user.courseType=$("select[name='courseType']").val();
      user.province="河北省";
      user.city=$("select[name='city']").val();
      user.county=$("select[name='county']").val();
      user.schoolName=$("select[name='schoolName']").val();
      user.classLevel=$("select[name='classLevel']").val();
      user.className=$("input[name='className']").val();
      user.picCode=$("#inputPicCode").val();
      user.smsCode=$("#inputSmsCode").val();
      user.expire=24*60;
      if(phoneChange){
        if(!user.smsCode){
          showToast("手机验证码不能为空");
          return;
        }
      }
      $.post("/api/cliusers/save",user,function(data){
        if(data.success){
          showToast("保存成功");
          window.location.reload();
        }else{
          showToast(data.msg);
          return;
        }
      },"json");
  });
  function showToast(msg) {
    $('.toast .toast-body').text(msg);
    $('.toast').toast('show');
    alert(msg);
  }
  function loadSmsCode() {
    var phone = $('#inputPhone').val();
    var picCode = $('#inputPicCode').val();

    if (!phone || !picCode) {
      showToast('手机号或验证码不能为空!');
      return;
    }


    $.getJSON('/register/sms-code', {
      phone: phone,
      picCode: picCode
    }, function (data) {
      if (data && data.success) {
        disableMsgBtn();
      } else {
        showToast(data.msg);
      }

      return data;
    });
  }
  function disableMsgBtn(){
    var countDown = 60;
    $("#buttonVerifyCode").prop('disabled', true);
    $("#buttonVerifyCode").addClass("btn-dark").removeClass("btn-warning");
    var cdInt = setInterval(function () {
      $("#buttonVerifyCode").text("重发(" + countDown-- + "s)");

      if (countDown < 0) {
        clearInterval(cdInt);
        $("#buttonVerifyCode").addClass("btn-warning").removeClass("btn-dark").text("短信验证码").prop('disabled', false);
      }
    }, 1000);
  }

 function initSelect(){
   let cityId=$("#cityInput").val();
   fillSelect("/api/cliusers/findCounties?id=",cityId?cityId:"130100","#countyInput","select[name='county']","name");
   let county=$("#countyInput").val();
   fillSelect("/api/cliusers/findHighSchools?area=",county?county:"长安区","#schoolInput","select[name='schoolName']","schoolName","schoolName");
 }
 function fillSelect(url,parentId,inputStr,selectStr,valueStr,nameStr){
   valueStr=valueStr?valueStr:"id";
   nameStr=nameStr?nameStr:"name";
   $.get(url+parentId,function(data){
     if(data.success){
       let html="";
       let slelectId=$(inputStr).val();
       $.each(data.data,function(index,item){
         html+="<option value='"+item[valueStr]+"'";
         if(!slelectId&&index==0){
           html+="selected";
         }
         if(slelectId&&slelectId==item[valueStr]){
           html+="selected";
         }
         html+=" >"+item[nameStr]+"</option>";
       })
       if(data.data&&data.data.length<1){
         html+="<option value=''>无</option>";
       }
       $(selectStr).html(html);
     }
   })
 }
});
