/*!
 * Start Bootstrap - SB Admin 2 v4.0.3 (https://startbootstrap.com/template-overviews/sb-admin-2)
 * Copyright 2013-2020 Start Bootstrap
 * Licensed under MIT (https://github.com/BlackrockDigital/gaokao_qhd/blob/master/LICENSE)
 */

"use strict";

// Call the dataTables jQuery plugin
(function () {
  var pageObj = {
    size: 20,
    page: 1
  };
  var glabolRows = void 0;

  function renderFunc(result) {
    var rows = result.content;
    glabolRows = rows;

    if (!result.page || !result.page.totalElements) {
      return "<tr><td colspan=\"20\">无数据</td></tr>";
      ;
    }

    var items = [];
    $.each(rows, function (key, val) { 
      items.push("<li><a href=\"/goods/view/payment/" + val.id + "\" target=\"_blank\">" + val.name + "</a></li>");
      
    });
    return items.join("");
  }

  function getParams() {
    var name = $("#nameInput").val();
    var localTypeName = $("#typeSelect").val();
    var year = $("#yearSelect").val();
    var localBatchName = $("#batchSelect").val();
    return Object.assign({}, pageObj, {
      name: name,
      localTypeName: localTypeName,
      year: year,
      localBatchName: localBatchName
    });
  }

  var url = "/goods/search/pageBy";

  function loadData() {
    return $.getJSON(url, getParams() || params, function (data) {
      return data;
    }).then(function (data) {
      if (data) {
        // console.log(renderFunc(data));
        $("#ul-body").html(renderFunc(data));
        $("#pageSelection").bootstrapPaginator({
          currentPage: 1,
          totalPages: data.page.totalPages,
          ajaxOption: {
            url: url,
            appendElement: "ul-body",
            renderFunc: renderFunc,
            otherParams: getParams
          }
        });
      }
    });
  }

  $(document).ready(function () {
    loadData();
    $("#searchBtn").click(function (e) {
      e.preventDefault();
      loadData();
    }); // 参考: http://www.runningcoder.org/jquerytypeahead/documentation/

    // GUtils.buildSchoolTypeAhead();
  });
})();
