/*!
 * Start Bootstrap - SB Admin 2 v4.0.3 (https://startbootstrap.com/template-overviews/sb-admin-2)
 * Copyright 2013-2020 Start Bootstrap
 * Licensed under MIT (https://github.com/BlackrockDigital/gaokao_qhd/blob/master/LICENSE)
 */

"use strict";

// Call the dataTables jQuery plugin
(function () {
  var pageObj = {
    size: 20,
    page: 1
  };

  function renderFunc(result) {
    var rows = result.content;

    if (result.page.totalElements === 0 || !result.page) {
      // $("#table-body").html("nodata");
      return "<tr><td colspan=\"20\">无数据</td></tr>";
      ;
    }

    var items = [];
    $.each(rows, function (key, val) {
      items.push("<tr>");
      items.push("<td><a href=\"/view/school/" + val.name + "\" target=\"_blank\">" + val.name + "</a></td>");
      items.push("<td>" + val.spname + "</td>");
      items.push("<td>" + val.type + "</td>");
      items.push("<td>" + val.year + "</td>");
      items.push("<td>" + val.localBatchName + "</td>");
      items.push("<td>" + val.max + "</td>");
      items.push("<td>" + val.min + "</td>");
      items.push("<td>" + val.average + "</td>");
      items.push("<td>" + val.minOverLine1 + "</td>");
      items.push("<td>" + val.minOverLine2 + "</td>");
      items.push("<td>" + val.minOverLine3 + "</td>");
      items.push("<td>" + val.minRank + "</td>");
      items.push("</tr>");
    });
    return items.join("");
  }

  function getParams() {
    var notLikeProvinces = $("#notLikeProvinces").val();
    var likeProvinces = $("#likeProvinces").val();
    var localTypeName = $("#typeSelect").val();
    var year = $("#yearSelect").val();
    var localBatchName = $("#batchSelect").val();
    var upRank = $("#upRankInput").val();
    var lowRank = $("#lowRankInput").val();
    var sort = $("#sortSelect").val();
    var spname = $("#spnameInput").val();
    return Object.assign({}, pageObj, {
      likeProvinces: likeProvinces,
      notLikeProvinces: notLikeProvinces,
      up: upRank,
      low: lowRank,
      localTypeName: localTypeName,
      year: year,
      localBatchName: localBatchName,
      sort: "min_rank," + sort,
      spname: spname
    });
  }

  var url = "/api/lineMajors/search/pageByRank";

  function loadData() {
    return $.getJSON(url, getParams() || params, function (data) {
      return data;
    }).then(function (data) {
      if (data) {
        // console.log(renderFunc(data));
        $("#table-body").html(renderFunc(data));
        $("#pageSelection").bootstrapPaginator({
          currentPage: 1,
          totalPages: data.page.totalPages,
          ajaxOption: {
            url: url,
            appendElement: "table-body",
            renderFunc: renderFunc,
            otherParams: getParams
          }
        });
      }
    });
  }

  $(document).ready(function () {
    // loadData()
    $("#searchBtn").click(function (e) {
      e.preventDefault();
      loadData();
    }); // GUtils.buildSchoolTypeAhead();
  });
})();
