/*!
 * Start Bootstrap - SB Admin 2 v4.0.3 (https://startbootstrap.com/template-overviews/sb-admin-2)
 * Copyright 2013-2020 Start Bootstrap
 * Licensed under MIT (https://github.com/BlackrockDigital/gaokao_qhd/blob/master/LICENSE)
 */

"use strict";

// Call the dataTables jQuery plugin
(function () {
  var pageObj = {
    size: 20,
    page: 1
  };
  var glabolRows = void 0;

  function renderFunc(result) {
    var rows = result.content;
    glabolRows = rows;

    if (!result.page || !result.page.totalElements) {
      return "<tr><td colspan=\"20\">无数据</td></tr>";
      ;
    }

    var items = [];
    $.each(rows, function (key, val) {
      items.push("<tr id=\"#" + val.iidd + "\">");
      items.push("<td><a href=\"/view/school/" + val.name + "\" target=\"_blank\">" + val.name + "</a></td>");
      items.push("<td>" + val.type + "</td>");
      items.push("<td>" + val.year + "</td>");
      items.push("<td>" + val.localBatchName + "</td>");
      items.push("<td>" + val.max + "</td>");
      items.push("<td>" + val.min + "</td>");
      items.push("<td>" + val.average + "</td>");
      items.push("<td>" + val.minOverLine1 + "</td>");
      items.push("<td>" + val.minOverLine2 + "</td>");
      items.push("<td>" + val.minOverLine3 + "</td>");
      items.push("<td>" + val.minRank + "</td>"); // items.push(`<td><button href='javascript:void(0)' class="btn btn-primary btn-sm" data-trid="${val.iidd}">编辑</button></td>`);

      items.push("</tr>");
    });
    return items.join("");
  }

  function getParams() {
    var notLikeProvinces = $("#notLikeProvinces").val();
    var likeProvinces = $("#likeProvinces").val();
    var localTypeName = $("#typeSelect").val();
    var year = $("#yearSelect").val();
    var localBatchName = $("#batchSelect").val();
    var upScore = $("#upScoreInput").val();
    var lowScore = $("#lowScoreInput").val();
    var sort = $("#sortSelect").val();
    var spname = $("#spnameInput").val();
    return Object.assign({}, pageObj, {
      up: upScore,
      low: lowScore,
      localTypeName: localTypeName,
      year: year,
      localBatchName: localBatchName,
      likeProvinces: likeProvinces,
      notLikeProvinces: notLikeProvinces,
      sort: "min," + sort,
      spname: spname
    });
  }

  var url = "/api/lineSchools/search/pageByScore";

  function loadData() {
    return $.getJSON(url, getParams() || params, function (data) {
      return data;
    }).then(function (data) {
      if (data) {
        // console.log(renderFunc(data));
        $("#table-body").html(renderFunc(data));
        $("#pageSelection").bootstrapPaginator({
          currentPage: 1,
          totalPages: data.page.totalPages,
          ajaxOption: {
            url: url,
            appendElement: "table-body",
            renderFunc: renderFunc,
            otherParams: getParams
          }
        });
      }
    });
  }

  $(document).ready(function () {
    // loadData()
    $("#searchBtn").click(function (e) {
      e.preventDefault();
      loadData();
    });
    $("#table-body").on("click", "button", function () {
      var trid = $(this).data("trid");

      var rowData = _.find(glabolRows, {
        iidd: trid
      });

      $('#idInput').val(rowData.iidd);
      $('#maxScoreInput').val(rowData.max);
      $('#minScoreInput').val(rowData.min);
      $('#avgScoreInput').val(rowData.average);
      $('#editModal').modal('show');
    });
    $("#saveModal").on("click", function () {
      var iidd = $('#idInput').val();
      var newMax = $('#maxScoreInput').val();
      var newMin = $('#minScoreInput').val();
      var newAvg = $('#avgScoreInput').val();
      $.post("/api/lineSchools/update", {
        iidd: iidd,
        max: newMax,
        min: newMin,
        average: newAvg
      }, function (data) {
        glabolRows = _.map(glabolRows, function (a) {
          return a.iidd === +iidd ? Object.assign({}, a, {
            max: newMax,
            min: newMin
          }) : a;
        });
        $("#table-body").html(renderFunc({
          content: glabolRows
        }));
        $('#editModal').modal('hide');
      });
    });
  });
})();
