/*!
 * Start Bootstrap - SB Admin 2 v4.0.3 (https://startbootstrap.com/template-overviews/sb-admin-2)
 * Copyright 2013-2020 Start Bootstrap
 * Licensed under MIT (https://github.com/BlackrockDigital/gaokao_qhd/blob/master/LICENSE)
 */

"use strict";

// Call the dataTables jQuery plugin
(function () {
  var pageObj = {
    size: 20,
    page: 1
  };

  function renderFunc(result) {
    var rows = result.content;

    if (result.page.totalElements === 0) {
      // $("#table-body").html("nodata");
      return "<tr><td colspan=\"20\">无数据</td></tr>";
      ;
    }

    var items = [];
    $.each(rows, function (key, val) {
      items.push("<tr>");
      items.push("<td>" + val.name + "</td>");
      items.push("<td>" + val.level2Name + "</td>");
      items.push("<td>" + val.level3Name + "</td>");
      items.push("<td>" + val.degree + "</td>");
      items.push("<td>" + val.level1Name + "</td>");
      items.push("<td>" + val.limitYear + "</td>");
      items.push("</tr>");
    });
    return items.join("");
  }

  function getParams() {
    var name = $("#nameInput").val();
    var provinceName = $("#provinceInput").val();
    var cityName = $("#cityInput").val();
    return Object.assign({}, pageObj, {
      name: name,
      provinceName: provinceName,
      cityName: cityName
    });
  }

  var url = "/api/uniMajors/search/pageBy";

  function loadData() {
    return $.getJSON(url, getParams() || params, function (data) {
      return data;
    }).then(function (data) {
      if (data) {
        $("#table-body").html(renderFunc(data));
        $("#pageSelection").bootstrapPaginator({
          currentPage: 1,
          totalPages: data.page.totalPages,
          ajaxOption: {
            url: url,
            appendElement: "table-body",
            renderFunc: renderFunc,
            otherParams: getParams
          }
        });
      }
    });
  }

  $(document).ready(function () {
    loadData();
    $("#searchBtn").click(function (e) {
      e.preventDefault();
      loadData();
    });
  });
})();
