/*!
 * Start Bootstrap - SB Admin 2 v4.0.3 (https://startbootstrap.com/template-overviews/sb-admin-2)
 * Copyright 2013-2020 Start Bootstrap
 * Licensed under MIT (https://github.com/BlackrockDigital/gaokao_qhd/blob/master/LICENSE)
 */

"use strict";

// Call the dataTables jQuery plugin
(function () {
  var pageObj = {
    size: 20,
    page: 1
  };

  function renderFunc(result) {
    var rows = result.content;

    if (result.page.totalElements === 0) {
      return "<tr><td colspan=\"20\">无数据</td></tr>";
      ;
    }

    var items = [];
    $.each(rows, function (key, val) {
      items.push("<tr>");
      items.push("<td>" + val.name + "</td>");
      items.push("<td>" + val.phone + "</td>");
      items.push("</tr>");
    });
    return items.join("");
  }

  function getParams() {
    return Object.assign({}, pageObj, {});
  }

  var url = "/cliusers/search/pageByPhone";

  function loadData() {
    return $.getJSON(url, getParams() || params, function (data) {
      return data;
    }).then(function (data) {
      if (data) {
        // console.log(renderFunc(data));
        $("#table-body").html(renderFunc(data));
        $("#pageSelection").bootstrapPaginator({
          currentPage: 1,
          totalPages: data.page.totalPages,
          ajaxOption: {
            url: url,
            appendElement: "table-body",
            renderFunc: renderFunc,
            otherParams: getParams
          }
        });
      }
    });
  }

  $(document).ready(function () {
    loadData();
    $("#addBtn").on("click", function () {
      $('#editModal').modal('show');
    });
    $("#saveModal").on("click", function () {
      var id = $('#idInput').val();
      var name = $('#nameInput').val();
      var phone = $('#phoneInput').val();
      var expire = $('#expireInput').val();
      $.post("api/cliusers/save", {
        id: id,
        name: name,
        phone: phone,
        expire: expire
      }, function (data) {
        // glabolRows = _.map(glabolRows, function(a) {
        //   return a.iidd === +iidd ? Object.assign({}, a, {max: newMax, min: newMin}) : a;
        // });
        // $("#table-body").html(renderFunc({content: glabolRows}))
        $('#editModal').modal('hide');
      });
    });
  });
})();