/*!
 * Start Bootstrap - SB Admin 2 v4.0.3 (https://startbootstrap.com/template-overviews/sb-admin-2)
 * Copyright 2013-2020 Start Bootstrap
 * Licensed under MIT (https://github.com/BlackrockDigital/gaokao_qhd/blob/master/LICENSE)
 */

"use strict";

(function ($) {
  var GUtils = {};

  if (!window.GUtils) {
    window.GUtils = GUtils;
  }

  GUtils.booleanStr = function (val) {
    return val ? '是' : '否';
  }; // http://www.runningcoder.org/jquerytypeahead/documentation/


  GUtils.buildTypeAhead = function (options, staticData) {
    var source = staticData ? staticData : {
      group: {
        ajax: {
          url: options.url,
          data: {
            name: '{{query}}'
          },
          type: "GET",
          callback: {
            done: function done(data) {
              return data.content;
            }
          }
        }
      }
    };
    var params = Object.assign({}, {
      cache: false,
      source: source,
      dynamic: true
    }, options);
    $.typeahead(params);
  };

  GUtils.buildSchoolTypeAhead = function () {
    GUtils.buildTypeAhead({
      url: "/api/dictSchools/search/top5ByName",
      input: "#nameInput",
      display: ["name", "typeName"],
      template: '<span data-series="{{name|raw}}">' + '{{name}}, {{typeName}} </span>',
      templateValue: "{{name}}"
    });
  };

  GUtils.buildProvineTypeAhead = function (provinceInput) {
    $.typeahead({
      input: "#" + provinceInput,
      display: ["name"],
      template: '<span data-series="{{name|raw}}">{{name}}</span>',
      templateValue: "{{name}}",
      source: {
        data: [// {
        //   name: "北京"
        // }, {
        //   name: "上海"
        // }
        "上海", "云南", "内蒙古", "北京", "吉林", "四川", "天津", "宁夏", "安徽", "山东", "山西", "广东", "广西", "新疆", "江苏", "江西", "河北", "河南", "浙江", "海南", "湖北", "湖南", "澳门", "甘肃", "福建", "西藏", "贵州", "辽宁", "重庆", "陕西", "青海", "香港", "黑龙江"]
      },
      multiselect: {
        limit: 10,
        limitTemplate: '最多选择10个'
      }
    });
  };
})($);